import path_setting
from in_common.base_request import BaseRequest
#获取验证码
class verification_code_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.VERIFICATION_CODE_CONFIG)
#获取验证码
    def verification_code(self, phone,type,verifier):
        self.params["phone"] = phone
        self.params["type"] = type
        self.params["verifier"] = verifier
        return self.api_send(self.data["verfication_code"])

    if __name__ == '__main__':
        # 个人中心
        print(user_request().personal_center())